Get historical stock price data
curl --request GET \
--url https://api.financialdatasets.ai/prices \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.financialdatasets.ai/prices"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.financialdatasets.ai/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ticker": "<string>",
"prices": [
{
"open": 123,
"close": 123,
"high": 123,
"low": 123,
"volume": 123,
"time": "<string>"
}
],
"next_page_url": "<string>"
}{
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"error": "Unauthorized",
"message": "Invalid API key provided"
}{
"error": "Payment Required",
"message": "This endpoint requires a paid subscription. Please upgrade your plan."
}{
"error": "Not Found",
"message": "Ticker XXXX not found"
}Stock Prices
Historical
Get historical stock prices for any US ticker. Daily, weekly, monthly, or yearly OHLCV data.
GET
/
prices
Get historical stock price data
Overview
The Prices API lets you pull end-of-day (EOD) historical prices for a given ticker like Apple, Microsoft, and more. You can get prices by the day, week, month, or year going back 3 years. The data is perfect for backtesting trading strategies, analyzing price patterns, rendering charts, and more. To get started, please create an account and grab your API key at financialdatasets.ai. You will use the API key to authenticate your API requests.Coverage
| Tickers | Years of Coverage | Updated |
|---|---|---|
| 15,000+ | 3+ years | End of day |
Available Tickers
You can fetch a list of available tickers with aGET request to:
https://api.financialdatasets.ai/prices/tickers/
Required Parameters
ticker— the stock ticker symbol (e.g., AAPL, NVDA)interval—day,week,month, oryearstart_date— start date in YYYY-MM-DD formatend_date— end date in YYYY-MM-DD format
Getting Started
There are only 3 steps for making a successful API call:- Add your API key to the header of the request as
X-API-KEY. - Add the required query params:
ticker,interval,start_date, andend_date. - Execute the API request.
Example
Prices
import requests
# add your API key to the headers
headers = {
"X-API-KEY": "your_api_key_here"
}
# set your query params
ticker = 'AAPL'
interval = 'day' # possible values are {'day', 'week', 'month', 'year'}
start_date = '2025-01-02'
end_date = '2025-01-05'
# create the URL
url = (
f'https://api.financialdatasets.ai/prices/'
f'?ticker={ticker}'
f'&interval={interval}'
f'&start_date={start_date}'
f'&end_date={end_date}'
)
# make API request
response = requests.get(url, headers=headers)
# parse prices from the response
prices = response.json().get('prices')
Example Response
{
"prices": [
{
"ticker": "AAPL",
"open": 243.85,
"close": 243.36,
"high": 244.15,
"low": 241.91,
"volume": 40230800,
"time": "2025-01-02"
},
{
"ticker": "AAPL",
"open": 243.36,
"close": 245.00,
"high": 245.55,
"low": 242.80,
"volume": 38420500,
"time": "2025-01-03"
},
...
]
}
Authorizations
API key for authentication.
Query Parameters
The stock ticker symbol (e.g. AAPL, MSFT).
The time interval for the price data.
Available options:
day, week, month, year The start date for the price data (format: YYYY-MM-DD).
The end date for the price data (format: YYYY-MM-DD).
Opaque pagination cursor from a previous response's next_page_url. When provided, all other query parameters are ignored: the cursor carries the original request's filters. Treat it as opaque; do not construct or modify it.